require "thor"
require "csm/resource/generator/version"
require "csm/resource/generator/org"

class Thor
   module Shell
      class Basic
         def print_wrapped(message, options = {})
            stdout.puts message
         end
      end
   end
end

module Csm
   module Resource
      module Generator
         class Command < ::Thor
            desc Csm::Resource::Generator::Org::desc_first, Csm::Resource::Generator::Org::desc_second
            long_desc Csm::Resource::Generator::Org::long_desc
            def org(prefix, information, output)
               Csm::Resource::Generator::Org.new.run(prefix, information, output)
            end
         end
      end
   end
end
